package com.steerinfo.ems.emsetiming.mapper;

import com.steerinfo.ems.emsetiming.model.EmsETiming;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

@Mapper
public interface EmsETimingMapper extends IBaseMapper<EmsETiming, String> {
	/**
     * 获得小时准点值
     * @param
     * @return
     */
	Map<String, Object> getHourPointVal(@Param("clock") String clock);
}