package com.steerinfo.ems.qcmbasechem.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.ems.qcmbasechem.model.QcmBaseChem;
import com.steerinfo.ems.qcmbasechem.mapper.QcmBaseChemMapper;
import com.steerinfo.ems.qcmbasechem.service.IQcmBaseChemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * QcmBaseChem服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-12-03 09:10
 * 类描述
 * 修订历史：
 * 日期：2021-12-03
 * 作者：generator
 * 参考：
 * 描述：QcmBaseChem服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "qcmBaseChemService")
public class QcmBaseChemServiceImpl extends BaseServiceImpl<QcmBaseChem, String> implements IQcmBaseChemService {

    @Autowired
    private QcmBaseChemMapper qcmBaseChemMapper;

    @Override
    protected IBaseMapper<QcmBaseChem, String> getMapper() {
        return qcmBaseChemMapper;
    }

    @Override
    public List<QcmBaseChem> getIdAndName() {
        return qcmBaseChemMapper.getIdAndName();
    }
}
